curl --request POST \
--url https://api.arize.com/v2/organizations/{org_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "VXNlcjoxMjM0NQ==",
"role": {
"type": "predefined",
"name": "member"
}
}
'{
"id": "QWNjb3VudE9yZ2FuaXphdGlvbk1lbWJlcjox",
"user_id": "VXNlcjoxMjM0NQ==",
"organization_id": "QWNjb3VudE9yZ2FuaXphdGlvbjox",
"role": {
"type": "predefined",
"name": "member"
}
}Add a single existing account user to an organization with a specified role.
Payload Requirements
user_id and role are both required.Role constraints
annotator account role can only be assigned the annotator organization role.annotator organization role.Requires organization admin.
Valid example
{
"user_id": "VXNlcjo0MjphQmNE",
"role": "member"
}
Invalid example (annotator account user assigned non-annotator org role — returns 400)
{
"user_id": "VXNlcjo0MjphQmNE",
"role": "admin"
}
curl --request POST \
--url https://api.arize.com/v2/organizations/{org_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "VXNlcjoxMjM0NQ==",
"role": {
"type": "predefined",
"name": "member"
}
}
'{
"id": "QWNjb3VudE9yZ2FuaXphdGlvbk1lbWJlcjox",
"user_id": "VXNlcjoxMjM0NQ==",
"organization_id": "QWNjb3VudE9yZ2FuaXphdGlvbjox",
"role": {
"type": "predefined",
"name": "member"
}
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
The unique identifier of the organization A universally unique identifier
"RW50aXR5OjEyMzQ1"
Body containing the user to add to the organization
The unique identifier of the user to add
"RW50aXR5OjEyMzQ1"
A role assignment for an organization membership. Discriminated by type:
predefined: one of the predefined roles (admin, member, read-only, annotator)custom: a custom RBAC role identified by its IDShow child attributes
User successfully added to the organization
Unique identifier for the membership record
"RW50aXR5OjEyMzQ1"
The unique identifier of the user
"RW50aXR5OjEyMzQ1"
The unique identifier of the organization
"RW50aXR5OjEyMzQ1"
A role assignment for an organization membership. Discriminated by type:
predefined: one of the predefined roles (admin, member, read-only, annotator)custom: a custom RBAC role identified by its IDShow child attributes
Was this page helpful?
Suggestions